2005 Layer Filter Deleting

Discussion in 'AutoCAD' started by jlspartz, Dec 28, 2004.

  1. jlspartz

    jlspartz Guest

    Ok, this is the code that I put together, but it is only deleting new group filters and not new property filters and new standard filters. What's wrong?

    (defun C:NewLayerFiltersDelete () (vl-Load-Com)
    (vl-Catch-All-Apply '(lambda ()
    (vla-Remove (vla-GetExtensionDictionary (vla-Get-Layers (vla-Get-ActiveDocument (vlax-Get-Acad-Object)))) "AcLyDictionary")))
    (princ "\nAll New 2005 layer filters have been deleted.")
    (princ)
    )
     
    jlspartz, Dec 28, 2004
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.